Imports System
Imports System.Windows.Forms
Imports System.Drawing

Namespace TYWinForms.Day4

   public class Listing48 : Inherits Form
      private sbrMain as new StatusBar
      private lblMessage as new Label

      public sub New()
         Me.Text = "Listing 4.8"

         AddStatusBar

         lblMessage.Text = "I love WinForms"
         lblMessage.Width = 200
         lblMessage.Height = 200
         lblMessage.Font = new System.Drawing.Font(new System.Drawing.FontFamily("Arial"), 15)

         Me.Controls.Add(lblMessage)
         Me.Controls.Add(sbrMain)

      End Sub

      public sub AddStatusBar()
         dim sbpName as StatusBarPanel = sbrMain.Panels.Add("Welcome User")
         sbpName.Width = 100
         sbpName.BorderStyle = StatusBarPanelBorderStyle.Raised

         dim sbpIcon as StatusBarPanel = sbrMain.Panels.Add("")
         sbpIcon.AutoSize = StatusBarPanelAutoSize.Contents
         sbpIcon.Icon = new Icon("VSProjectApplication.icO")

         dim sbpTime as StatusBarPanel = sbrMain.Panels.Add("")
         sbpTime.Text = Datetime.Now.ToString
         sbpTime.AutoSize = StatusBarPanelAutoSize.Spring
         sbpTime.Alignment = HorizontalAlignment.Right

         sbrMain.ShowPanels = true
      end sub

      public Shared Sub Main() 
         Application.Run(new Listing48)
      end sub
   end class

End Namespace