Imports System
Imports System.Windows.Forms
Imports System.Drawing

Namespace TYWinForms.Day5

   public class Listing51 : Inherits Form
      private mnuFont as new MainMenu
      private lblMessage as new Label

      public sub New()
         Me.Text = "Listing 5.1"
         Me.Menu = mnuFont

         lblMessage.Text = "Testing events"
         lblMessage.Location = new Point(75,75)
         lblMessage.Height = 50
         lblMessage.Width = 150
         lblMessage.BackColor = Color.LightBlue

         dim miFont as MenuItem = mnuFont.MenuItems.Add("Font")
         dim miTimes as MenuItem = miFont.MenuItems.Add("Times Roman")
         AddHandler miTimes.Click, new EventHandler(AddressOf Me.FontClicked)
          
         dim miArial as MenuItem = miFont.MenuItems.Add("Arial")
         AddHandler miArial.Click, new EventHandler(AddressOf Me.FontClicked)

         dim miWing as MenuItem = miFont.MenuItems.Add("Wingdings")
         AddHandler miWing.Click, new EventHandler(AddressOf Me.FontClicked)
      
         Me.Controls.Add(lblMessage)
      End Sub

      public sub FontClicked(Sender as Object, e as EventArgs)
         dim item as MenuItem

         if Sender is mnuFont.MenuItems(0).MenuItems(0) then
            lblMessage.Font = new Font("Times", 15)
         elseif Sender is mnuFont.MenuItems(0).MenuItems(1) then
            lblMessage.Font = new Font("Arial", 15)
         elseif Sender is mnuFont.MenuItems(0).MenuItems(2) then
            lblMessage.Font = new Font("Wingdings", 15)
         end if
         
         for each item in mnuFont.MenuItems(0).MenuItems
            item.Checked = False
         next item
         CType(Sender, MenuItem).Checked = True

      end sub

      public Shared Sub Main() 
         Application.Run(new Listing51)
      end sub
   end class

End Namespace