using System;
using System.Windows.Forms;
using System.Drawing;
using System.Data;
using System.Data.SqlClient;
using System.Xml;

namespace TYWinforms.Day9 {
   public class Listing95 : Form {
      DataSet objDS = new DataSet();

      TextBox tbName = new TextBox();
      TextBox tbBirthDate = new TextBox();
      Label lblName = new Label();
      Label lblBirthDate = new Label();

      public Listing95() {
         lblName.Location = new Point(10,10);
         lblName.Text = "Name:";
         lblBirthDate.Location = new Point(10,35);
         lblBirthDate.Text = "Birth date:";
         tbName.Location = new Point(75,10);
         tbBirthDate.Location = new Point(75,30);

         objDS.ReadXml("c:\\winforms\\data\\sample.xml");

         tbName.DataBindings.Add("Text", objDS, "User.Name");
         tbBirthDate.DataBindings.Add("Text", objDS, "User.BirthDate");

         XmlDataDocument objXml = new XmlDataDocument(objDS);
         objXml.Save("c:\\winforms\\data\\sample2.xml");

         this.Controls.Add(tbName);
         this.Controls.Add(tbBirthDate);
         this.Controls.Add(lblName);
         this.Controls.Add(lblBirthDate);
      }

      public static void Main() {
         Application.Run(new Listing95());
      }
   }
}