Imports System
Imports System.Windows.Forms
Imports System.Drawing
Imports System.IO

Namespace TYWinForms.Day11

   Class Listing114 : Inherits Form
      private btWriteIt As New Button()
      private btReadIt As New Button()
      private nudHigh As New NumericUpDown()
      private nudLo As New NumericUpDown()
      private dtpDate As New DateTimePicker()
      private lblHigh As New Label()
      private lblLo As New Label()
      
      Public Sub New()
         lblLo.Text = "Low Temp"
         lblLo.Location = new Point(10,10)
         nudLo.Location = new Point(110,10)
         nudLo.Minimum = -100
         nudLo.Maximum = 130

         lblHigh.Text = "High Temp"
         lblHigh.Location = new Point(10,40)
         nudHigh.Location = new Point(110,40)
         nudHigh.Minimum = -100
         nudHigh.Maximum = 130

	 dtpDate.Location = new Point (10,80)

         btWriteIt.Text = "Write it!"
         btWriteIt.Location = new Point(30,200)
         AddHandler btWriteIt.Click, new EventHandler(AddressOf Me.WriteIt)

         btReadIt.Text = "Read it!"
         btReadIt.Location = new Point(120,200)
         AddHandler btReadIt.Click, new EventHandler(AddressOf Me.ReadIt)

         Me.Controls.Add(lblLo)
         Me.Controls.Add(nudLo)
         Me.Controls.Add(lblHigh)
	 Me.Controls.Add(nudHigh)
         Me.Controls.Add(dtpDate)
         Me.Controls.Add(btWriteIt)
         Me.Controls.Add(btReadIt)
      End Sub

      private sub WriteIt(Sender As Object, e As EventArgs)
         Dim objStream As New FileStream("c:\winforms\day11\records.dat", FileMode.Create)
         Dim objWriter As New BinaryWriter(objStream)

         objWriter.Write(CType(nudLo.Value, Short))
         objWriter.Write(CType(nudHigh.Value, Short))
         objWriter.Write(dtpDate.Value.ToString("d"))

         objWriter.Close()
         objStream.Close()
      end sub

      private sub ReadIt(Sender As Object, e As EventArgs)
         Dim strTemp As String
         Dim lo, hi as Short

         if not File.Exists("c:\winforms\day11\records.dat") then
            MessageBox.Show("That file doesn't exist!")
            Return
         End If

         Dim objStream = New FileStream("c:\winforms\day11\records.dat", FileMode.Open, FileAccess.Read)
         Dim objReader As New BinaryReader(objStream)

         lo = objReader.ReadInt16()
         hi = objReader.ReadInt16()
         strTemp = objReader.ReadString()

         MessageBox.Show("High and low temperatures on " & strTemp & " were " _
		& hi.ToString() & " and " & lo.ToString() )

         objReader.Close()
         objStream.Close()
      end sub

      Public Shared Sub Main()
         Application.Run(new Listing114())
      End Sub      
   End Class
End Namespace
