using System;
using System.Windows.Forms;
using System.Drawing;
using System.Net;
using System.IO;

namespace TYWinforms.Day12 {
   public class Listing121 : Form {
      private RichTextBox rtbWeb = new RichTextBox();

      public Listing121() {
         CallServer();

         rtbWeb.Multiline = true;
         rtbWeb.Dock = DockStyle.Fill;
   
         this.Text = "Listing 12.1";
         this.Size = new Size(800,600);
         this.Controls.Add(rtbWeb);
      }

      private void CallServer() {
         WebRequest objRequest = WebRequest.Create("http://www.clpayne.com");
         WebResponse objResponse = objRequest.GetResponse();

         StreamReader objReader = new StreamReader(objResponse.GetResponseStream());

         rtbWeb.Text = objReader.ReadToEnd();
 
         objReader.Close();
         objResponse.Close();
      }

      public static void Main() {
         Application.Run(new Listing121());
      }
   }
}