using System;
using System.Windows.Forms;
using System.Drawing;
using System.Drawing.Text;

namespace TYWinforms.Day13 {
   public class Listing133 : Form {
      private bool blnIsWriting = false;
      private Point ptClick;
      private string strKey;

      public Listing133() {
         this.Text = "Listing 13.3";
         this.MouseDown += new MouseEventHandler(FormClicked);
         this.KeyPress += new KeyPressEventHandler(this.Type);
      }

      private void Type(Object Sender, KeyPressEventArgs e) {
         if (blnIsWriting) {
            strKey += e.KeyChar.ToString();
            this.Invalidate();
         }
      }

      private void FormClicked(Object Sender, MouseEventArgs e) {
         blnIsWriting = !blnIsWriting;

         if (blnIsWriting) { 
            this.Cursor = Cursors.IBeam; strKey = "";
         } else {
            this.ResetCursor();
         }
         ptClick = new Point(e.X, e.Y);
      } 

      protected override void OnPaint(PaintEventArgs e) {
         Graphics objGraphics = e.Graphics;
         Brush brushText = new SolidBrush(Color.Black);
         Font fntText = new Font("Times New Roman", 100, FontStyle.Regular); 

         objGraphics.DrawString(strKey, fntText, brushText, ptClick);
      }

      public static void Main() {
         Application.Run(new Listing133());
      }
   }
}