<%@ WebService Language="C#" Class="ConvertUnits" %>

using System;
using System.Web.Services;

public class ConvertUnits : WebService {
   
   [WebMethod]public double Convert(Double dblValue, String strFrom, String strTo) {
      switch(strTo) {
         case "mm":
            return ConvertTo(dblValue/1, strFrom);
            break;
         case "cm":
            return ConvertTo(dblValue/10, strFrom);
            break;
         case "in":
            return ConvertTo(dblValue/25.4, strFrom);
            break;
         case "ft":
            return ConvertTo(dblValue/304.8, strFrom);
            break;
         case "m":
            return ConvertTo(dblValue/1000, strFrom);
            break;
         case "yd":
            return ConvertTo(dblValue/914.4, strFrom);
            break;
         case "mi":
            return ConvertTo(dblValue/1609344, strFrom);
            break;
         case "km":
            return ConvertTo(dblValue/1000000, strFrom);
            break;
         default:
            return 0.0;
            break;
     }
   }
   
   private double ConvertTo(double dblValue, String strFrom) {
      switch(strFrom) {
         case "mm":
            return dblValue * 1;
            break;
         case "cm":
            return dblValue * 10;
            break;
         case "in":
            return dblValue * 25.4;
            break;
         case "ft":
            return dblValue * 304.8;
            break;
         case "m":
            return dblValue * 1000;
            break;
         case "yd":
            return dblValue * 914.4;
            break;
         case "mi":
            return dblValue * 1609344;
            break;
         case "km":
            return dblValue * 1000000;
            break;
         default:
            return 0.0;
            break;
      }
   }
   
}