using System;
using System.Windows.Forms;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace TYWinforms.Day18.Controls {
   public class CustomButton : Button {
      private String strText;
      private Boolean blnEdit = false;

      protected override void OnMouseDown(MouseEventArgs e) {
         if (e.Button == MouseButtons.Right) {
            blnEdit = !blnEdit;
            strText = "";
         } else {
            base.OnMouseDown(e);
         }
      }

      protected override void OnKeyPress(KeyPressEventArgs e) {
         if (blnEdit) {
            strText += e.KeyChar;
            this.Text = strText;
         }
      }
   }
}