using System;
using System.Windows.Forms;
using System.Drawing;

namespace TYWinforms.Day18 {
   public class EyeControl : Control {
      private Point ptPosition;
      private Color clrIris;
      private int intBlood;

      private EventHandler onMouseMoved;

      public Point PupilPosition {
         get { return ptPosition; }
         set {
            ptPosition = value;
            Invalidate();
         }
      }

      public Color IrisColor {
         get { return clrIris; }
         set {
            clrIris = value;
            Invalidate();
         }
      }

      public int BloodShotedness {
         get { return intBlood; }
         set {
            intBlood = value;
            Invalidate();
         }
      }

      public EyeControl() {

      }
   }
}