Imports System
Imports System.Drawing
Imports System.Windows.Forms

namespace TYWinforms.Day18.Controls
   public class LoginForm : Inherits UserControl
      private lblUsername As New Label()
      private lblPassword As New Label()
      private tbUsername As New TextBox()
      private tbPassword As New TextBox()
      private btSubmit As New Button()

      public sub New() 
         lblUsername.Text = "Username: "
         lblUsername.Width = 70
         lblUsername.Location = new Point(10,10)

         lblPassword.Text = "Password: "
         lblPassword.Width = 70
         lblPassword.Location = new Point(10,40)

         tbUsername.Location = new Point(80,10)
         tbPassword.Location = new Point(80,40)

         btSubmit.Text = "Submit"
         btSubmit.Location = new Point(50,70)
         AddHandler btSubmit.Click, new EventHandler(AddressOf Me.Register)

         Me.BackColor = Color.Beige
         Me.Size = new Size(190,100)
         Me.Controls.Add(lblUsername)
         Me.Controls.Add(lblPassword)
         Me.Controls.Add(tbUsername)
         Me.Controls.Add(tbPassword)
         Me.Controls.Add(btSubmit)
      end sub

      public event Registered(sender As Object, username as String, password as String)
      
      Protected Sub OnRegistered()
         RaiseEvent Registered(Me, tbUsername.Text, tbPassword.Text)
      End Sub

      private sub Register(Sender As Object, e As EventArgs) 
         MessageBox.Show(tbUsername.Text & " has registered!")
      end sub
   end class
end namespace