Imports System
Imports System.Windows.Forms
Imports System.Drawing
Imports System.Threading

namespace TYWinforms.Day19 
   public class Listing194 : Inherits Form 
      private lblInfo As new Label()
      private tbSearch As new TextBox()
      private btStart As new Button()
      private intCounter As integer

      public sub New() 
         intCounter = 0

         lblInfo.Size = new Size(300,200)
         lblInfo.Location = new Point(10,75)

         tbSearch.Location = new Point(10,10)

         btStart.Location = new Point(120,10)
         btStart.Text = "Search!"
         AddHandler btStart.Click, new EventHandler(AddressOf StartIt)

         Me.Text = "Listing 19.4"
         Me.Controls.Add(lblInfo)
         Me.Controls.Add(btStart)
         Me.Controls.Add(tbSearch)
      End Sub

      private sub StartIt(Sender As Object, e As EventArgs) 
         intCounter += 1

         dim thdSearch As New Thread(new ThreadStart(AddressOf Search))
         thdSearch.Name = "Search " & intCounter
         thdSearch.Start()
      End Sub

      private sub Search() 
         'Perform search
         Thread.Sleep(2000)

         Monitor.Enter(Me)

         dim rnd As new Random()
         dim i as integer
         for i = 0 to 4
            lblInfo.Text += Thread.CurrentThread.Name & ": " & rnd.Next & Microsoft.VisualBasic.vbCrLf
         next i

         Monitor.Exit(Me)
      End Sub

      public shared sub Main() 
         Application.Run(new Listing194())
      End Sub
   End Class
End Namespace