Imports System
Imports System.Windows.Forms
Imports System.Drawing

Namespace TYWinForms.Day21

   Public Class Listing211 : Inherits Form 
      private rtbText as New RichTextBox
      private btPush as new Button()

      public sub New()
         rtbText.Height = 225
         rtbText.Dock = DockStyle.Bottom
         rtbText.ScrollBars = RichTextBoxScrollBars.Both

         btPush.Location = new Point(100,10)
         btPush.Text = "Open It!"
         AddHandler btPush.Click, new EventHandler(AddressOf Me.OpenFile)

         Me.Text = "Listing 21.1"
         Me.Controls.Add(rtbText)
         Me.Controls.Add(btPush)
      end sub

      private sub OpenFile(Sender As Object, e As EventArgs) 
         Try
            rtbText.LoadFile("c:\temp\happy.txt", RichTextBoxStreamType.PlainText)
         Catch ex As Exception
            MessageBox.Show("That file does not exist!")
         End Try
      end sub

      public shared sub Main() 
         Application.Run(new Listing211)
      end sub
   End Class
End Namespace