Imports System
Imports System.Windows.Forms
Imports System.Drawing
Imports System.ComponentModel

Namespace TYWinForms.Day3

   public class Exercise2 : Inherits Form
      private btSubmit as new Button
      private tbText as new TextBox
      private tbHeight as new TextBox
      private tbWidth as new TextBox
      private tbOpacity as new TextBox
      private lblText as new Label
      private lblHeight as new Label
      private lblWidth as new Label
      private lblOpacity as new Label

      public sub New() 
         Me.Text = "Event Example"
         Me.Width = 800
         Me.Height = 600

         btSubmit.Location = new Point(50, 150)
         btSubmit.Text = "Submit"
         AddHandler btSubmit.Click, AddressOf Me.HandleIt

         lblText.Location = new Point(25,25)
         lblText.Text = "Text:"
         tbText.Location = new Point(75,25)
         tbText.Text = Me.Text

         lblHeight.Location = new Point(25,50)
         lblHeight.Text = "Height:"
         tbHeight.Location = new Point(75,50)
         tbHeight.Text = Me.Height

         lblWidth.Location = new Point(25,75)
         lblWidth.Text = "Width:"
         tbWidth.Location = new Point(75,75)
         tbWidth.Text = Me.Width

         lblOpacity.Location = new Point(25,100)
         lblOpacity.Text = "Opacity:"
         tbOpacity.Location = new Point(75,100)
         tbOpacity.Text = Me.Opacity

         Me.Controls.Add(btSubmit)
         Me.Controls.Add(tbText)
         Me.Controls.Add(tbHeight)
         Me.Controls.Add(tbWidth)
         Me.Controls.Add(tbOpacity)
         Me.Controls.Add(lblText)
         Me.Controls.Add(lblHeight)
         Me.Controls.Add(lblWidth)
         Me.Controls.Add(lblOpacity)
      end sub
   
      public sub HandleIt(Sender as Object, e as EventArgs)
         Me.Text = tbText.Text
         Me.Height = CInt(tbHeight.Text)
         Me.Width = CInt(tbWidth.Text)
         Me.Opacity = CInt(tbOpacity.Text)
      end sub

   end class


   public class StartForm
      public shared sub Main()
         Application.Run(new Exercise2)
      end sub
   end class

End Namespace