using System;
using System.Windows.Forms;
using System.Drawing;

namespace TYWinForms.Day6 {
 
   public class Listing65 : Form {
      private ListBox lbItems = new ListBox();

      public Listing65() {
         lbItems.Location = new Point(75,75);
         lbItems.MultiColumn = true;
         lbItems.ColumnWidth = 75;
         lbItems.SelectedIndexChanged += new EventHandler(this.HandleSelect);
         lbItems.SelectionMode = SelectionMode.MultiExtended;
 
         Object [] arrColors = {"White", "Red", "Orange", "Yellow", "Green", "Blue", "Indigo", "Violet", "Black"};
         lbItems.Items.AddRange(arrColors);

         this.Text = "Listing 6.5";
         this.Controls.Add(lbItems);
      }

      public void HandleSelect(Object Sender, EventArgs e) {
         ListBox lbTemp = (ListBox)Sender;
         int i;

         if (lbTemp.SelectedIndices.Count == 1 ) {
            lbItems.BackColor = Color.FromName(lbTemp.SelectedItem.ToString());
         } else {
            for (i = 0; i < lbTemp.SelectedIndices.Count; i++) {
               MessageBox.Show("You selected: " + lbTemp.SelectedItems[i].ToString());
            }
         }
      }

      public static void Main() {
         Application.Run(new Listing65());
      }
   }
}