using System;
using System.Windows.Forms;
using System.Drawing;
using System.Data;
using System.Data.SqlClient;

namespace TYWinforms.Day9 {
   public class Listing91 : Form {
      DataGrid dgData = new DataGrid();
      DataSet objDS = new DataSet();
      SqlDataAdapter objCmd;

      public Listing91() {
         String strConn = "Initial Catalog=TYWinforms;Data Source=localhost;User ID=sa";
         SqlConnection objConn = new SqlConnection(strConn);

         objCmd = new SqlDataAdapter("SELECT * FROM tblUsers", objConn);
         objCmd.Fill(objDS, "tblUsers");
         SqlCommandBuilder objBuilder = new SqlCommandBuilder(objCmd);

         dgData.DataSource = objDS;
         dgData.DataMember = "tblUsers";
         dgData.Dock = DockStyle.Fill;
         dgData.CurrentCellChanged += new EventHandler(this.Update);

         this.Controls.Add(dgData);
      }

      public void Update(Object Sender, EventArgs e) {
         MessageBox.Show(objCmd.Update(objDS, "tblUsers").ToString());
      }

      public static void Main() {
         Application.Run(new Listing91());
      }
   }
}