using System;
using System.Windows.Forms;
using System.Drawing;
using System.IO;

namespace TYWinforms.Day11 {
   public class Listing113 : Form {
      private Button btCreate = new Button();
      private TextBox tbFileName = new TextBox();

      public Listing113() {
         tbFileName.Location = new Point(25,100);
         tbFileName.Width = 150;

         btCreate.Text = "Create!";
         btCreate.Location = new Point(200,100);
         btCreate.Click += new EventHandler(this.CreateFile);

         this.Text = "Listing 11.2";
         this.Controls.Add(btCreate);
         this.Controls.Add(tbFileName);
      }

      public void CreateFile(Object Sender, EventArgs e) {
         String strFilename = tbFileName.Text;

         if (!File.Exists(strFilename)) {
            FileStream objFile = new FileStream(strFilename, FileMode.CreateNew);
            StreamWriter objWriter = new StreamWriter(objFile);

            objWriter.WriteLine("Hello World!");
 
            objWriter.Close();
            objFile.Close();

            MessageBox.Show("Done!");
         } else {
            FileStream objFile = new FileStream(strFilename, FileMode.Open, FileAccess.Read);
            StreamReader objReader = new StreamReader(objFile);

            String strContents = objReader.ReadToEnd();

            objReader.Close();
            objFile.Close();

            MessageBox.Show(strContents);
           
         }
      }

      public static void Main() {
         Application.Run(new Listing113());
      }
   }
}