using System;
using System.Windows.Forms;
using System.Drawing;
using System.IO;

namespace TYWinforms.Day11 {
   public class Listing117 : Form {
      FileSystemWatcher objWatcher = new FileSystemWatcher();

      public Listing117() {
         objWatcher.Path = "c:\\temp";
         objWatcher.Filter = "*.*";
         objWatcher.IncludeSubdirectories = true;
         objWatcher.NotifyFilter = NotifyFilters.CreationTime | NotifyFilters.LastWrite | NotifyFilters.Size;
         objWatcher.EnableRaisingEvents = true;

         objWatcher.Changed += new FileSystemEventHandler(this.RaiseAlert);
         objWatcher.Created += new FileSystemEventHandler(this.RaiseAlert);
         objWatcher.Deleted += new FileSystemEventHandler(this.RaiseAlert);
         
         this.Text = "Listing 11.7";
      }

      private void RaiseAlert(Object Sender, FileSystemEventArgs e) {
         MessageBox.Show("I see you!! You " + e.ChangeType.ToString() + " " + e.Name);
      }

      public static void Main() {
         Application.Run(new Listing117());
      }
   }
}