using System;
using System.Windows.Forms;
using System.Drawing;

namespace TYWinforms.Day15.Clients {
   public class Exercise : Form {
      private ComboBox cboToUnit = new ComboBox();
      private ComboBox cboFromUnit = new ComboBox();
      private TextBox tbValue = new TextBox();
      private Label lblTo = new Label();
      private Label lblFrom = new Label();
      private Label lblAnswer =  new Label();
      private Button btConvert = new Button();

      public Exercise() {
         btConvert.Location = new Point(20,90);
         btConvert.Text = "Convert";
         btConvert.Click += new EventHandler(this.ConvertIt);

         lblAnswer.Location = new Point(125,90);
         lblAnswer.Size = new Size(200,20);
         lblTo.Location = new Point(250,35);
         lblTo.Text = "To:";
         lblFrom.Location = new Point(125,35);
         lblFrom.Text = "From:";

         tbValue.Location = new Point(20,50);

         cboFromUnit.Location = new Point(125,50);
         cboFromUnit.Items.Add("mm"); 
         cboFromUnit.Items.Add("cm");
         cboFromUnit.Items.Add("m");
         cboFromUnit.Items.Add("km");
         cboFromUnit.Items.Add("in");
         cboFromUnit.Items.Add("ft");
         cboFromUnit.Items.Add("yd");
         cboFromUnit.Items.Add("mi");

         cboToUnit.Location = new Point(250,50);
         cboToUnit.Items.Add("mm"); 
         cboToUnit.Items.Add("cm");
         cboToUnit.Items.Add("m");
         cboToUnit.Items.Add("km");
         cboToUnit.Items.Add("in");
         cboToUnit.Items.Add("ft");
         cboToUnit.Items.Add("yd");
         cboToUnit.Items.Add("mi");
 
         this.Text = "Enter a value and choose the units";
         this.Size = new Size(400,200);
         this.Controls.Add(cboToUnit);
         this.Controls.Add(cboFromUnit);
         this.Controls.Add(tbValue);
         this.Controls.Add(lblTo);
         this.Controls.Add(lblFrom);
         this.Controls.Add(lblAnswer);
         this.Controls.Add(btConvert);
      }

      private void ConvertIt(Object Sender, EventArgs e) {
         string strAnswer;
         ConvertUnits objConvert = new ConvertUnits();
         if (tbValue.Text != "") {
            strAnswer = objConvert.Convert(Convert.ToDouble(tbValue.Text), cboFromUnit.SelectedItem.ToString(), cboToUnit.SelectedItem.ToString()).ToString();

            lblAnswer.Text = strAnswer + " " + cboToUnit.SelectedItem.ToString();
         }
      }

      public static void Main() {
         Application.Run(new Exercise());
      }
   }
}