using System;
using System.Windows.Forms;
using System.Drawing;
using System.Threading;

namespace TYWinforms.Day19 {
   public class Listing193 : Form {
      private Label lblInfo = new Label();
      private Button btStart = new Button();

      public Listing193() {
         lblInfo.Size = new Size(300,100);
         lblInfo.Location = new Point(10,75);

         btStart.Location = new Point(100,10);
         btStart.Text = "Start!";
         btStart.Click += new EventHandler(this.StartIt);

         this.Text = "Listing 19.3";
         this.Controls.Add(lblInfo);
         this.Controls.Add(btStart);
      }

      private void StartIt(Object Sender, EventArgs e) {
         lblInfo.Text = "";

         Thread thdTest1 = new Thread(new ThreadStart(DoIt));
         thdTest1.Name = "Thread 1";
         thdTest1.Start();

         Thread thdTest2 = new Thread(new ThreadStart(DoIt));
         thdTest2.Name = "Thread 2";
         thdTest2.Start();

         Thread thdTest3 = new Thread(new ThreadStart(DoIt));
         thdTest3.Name = "Thread 3";
         thdTest3.Start();
      }

      private void DoIt() {
         Monitor.Enter(this);

         lblInfo.Text += Thread.CurrentThread.Name + " started...\n";
         Thread.Sleep(100);
         lblInfo.Text += Thread.CurrentThread.Name + " ending...\n";

         Monitor.Exit(this);
      }

      public static void Main() {
         Application.Run(new Listing193());
      }
   }
}