Imports System
Imports System.Windows.Forms
Imports System.Drawing
Imports System.Threading

namespace TYWinforms.Day19 
   public class Listing196 : Inherits Form 
      private lblInfo As new Label()
      private btStart As new Button()
      private objAREvent As new AutoResetEvent(false)
      private intCounter As Integer = 10

      public sub New() 
         lblInfo.Size = new Size(300,200)
         lblInfo.Location = new Point(10,75)

         btStart.Location = new Point(100,10)
         btStart.Text = "Start!"
         AddHandler btStart.Click, new EventHandler(AddressOf StartIt)

         Me.Text = "Listing 19.6"
         Me.Controls.Add(lblInfo)
         Me.Controls.Add(btStart)
      End Sub

      private sub StartIt(Sender As Object, e As EventArgs) 
         dim i as integer

         for i = 0 to 10
            ThreadPool.QueueUserWorkItem(new WaitCallBack(AddressOf DoIt), objAREvent)
         next i 

         objAREvent.WaitOne()
         lblInfo.Text += "Done!"
      End Sub

      private sub DoIt(state As Object) 
         Thread.Sleep(2000)
         lblInfo.Text += "Working..." & Microsoft.VisualBasic.vbCrLf

         if intCounter = 0 then
            CType(state, AutoResetEvent).Set()
         else
            Monitor.Enter(Me)
            intCounter = intCounter - 1
            Monitor.Exit(Me)
         end if
      End Sub

      public shared sub Main() 
         Application.Run(new Listing196())
      End Sub
   End Class
End Namespace